Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	library to use arbitrary fonts in OpenGL applications.
Name:		ftgl
Version:	2.1.3
Release:	2
License:	GNU/GPL
URL:		http://homepages.paradise.net.nz/henryj/code/#FTGL
Group:		System/Libraries
Source0:	%{name}-%{version}-rc5.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	freeglut-devel
BuildRequires:	freetype-devel
Requires:	freetype freeglut

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
FTGL is a free open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org)  applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats
so doesn't need a preprocessing step to convert the high quality font data
into a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode'
the fonts. It then takes that output and stores it in a format most efficient
for OpenGL rendering.

Rendering modes supported are
- Bit maps
- Antialiased Pix maps
- Texture maps
- Outlines
- Polygon meshes
- Extruded polygon meshes

FTGL is designed to be used in commercial quality software. It has been
written with performance, robustness and simplicity in mind.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary: 	%{name} documents.
Group: 		Documents
Requires:	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%prep
%setup -q -n %{name}-%{version}~rc5

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%_sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%files doc
%defattr(-,root,root)
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.1.3-2
- added rpm 4.4.2.3-1 as requirement
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.1.3-1
- Version update (switching to rc5)
* Sat Nov 26 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.1.2-1
- Initial Release